-- complain if script is sourced in psql, rather than via CREATE EXTENSION
\echo Use "CREATE EXTENSION pg_audit_users" to load this file. \quit

-- Register functions.
CREATE FUNCTION pg_audit_users(
    OUT userid oid,
    OUT last_query timestamp with time zone
)
RETURNS SETOF record
AS 'MODULE_PATHNAME'
LANGUAGE C;

-- Register a view on the function for ease of use.
CREATE VIEW pg_audit_users AS
  SELECT * FROM pg_audit_users();

GRANT SELECT ON pg_audit_users TO PUBLIC;

